Bug 1191108 - ntpd should warn when monitoring facility can't be disabled due to restrict configuration
Summary: ntpd should warn when monitoring facility can't be disabled due to restrict c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ntp
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-10 13:28 UTC by Miroslav Lichvar
Modified: 2018-09-25 13:35 UTC (History)
5 users (show)

Fixed In Version: ntp-4.2.6p5-20.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1166596
Environment:
Last Closed: 2015-11-19 08:37:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2231 0 normal SHIPPED_LIVE Moderate: ntp security, bug fix, and enhancement update 2015-11-19 09:03:04 UTC

Description Miroslav Lichvar 2015-02-10 13:28:19 UTC
+++ This bug was initially created as a clone of Bug #1166596 +++

Description of problem:
When ntpd is configured with a restrict directive using the limited option, disabling the monitoring facility with "disable monitor" will have no effect.
ntpd should print a warning to syslog when that happens to avoid unknowingly allowing the monlist amplification attack (CVE-2013-5211).

Version-Release number of selected component (if applicable):
4.2.6p5-1.el6

How reproducible:
always

Steps to Reproduce:
1. add "limited" to the default restrict lines in /etc/ntp.conf
2. add "disable monitor" to /etc/ntp.conf
3. start ntpd

Actual results:
no warning in syslog, that monitor couldn't be disabled

Expected results:
warning in syslog

Additional info:

Comment 5 errata-xmlrpc 2015-11-19 08:37:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2231.html


Note You need to log in before you can comment on or make changes to this bug.